Bug 334569

Summary: KOrganizer not syncing properly with modified repeated events in google calendar
Product: [Frameworks and Libraries] Akonadi Reporter: Alvaro <alohl669>
Component: Google ResourceAssignee: Daniel Vrátil <dvratil>
Status: REOPENED ---    
Severity: normal CC: a.lembke, alohl669, chgonzalezg, colombojrj, cousinmarc, dave.connett, kai.straube, kdepim-bugs, matti.kettunen, nsbm.abbath, smartins, stas.kazmin, t.kijas
Priority: NOR    
Version: 4.13   
Target Milestone: ---   
Platform: Debian testing   
OS: Linux   
URL: https://app.box.com/s/5kb55mqn8zc5o0s60abj
Latest Commit: Version Fixed In: 5.11

Description Alvaro 2014-05-10 00:13:17 UTC
if you modify a part of the repeated event in google calendar, this modification is not reflected in KOrganizer.

Reproducible: Always

Steps to Reproduce:
1.create a work schedule in google calendar(a repeated event)
2.changes a day with a coworker and modifies the event in google calendar
3.syncs KOrganizer with google calendar

Actual Results:  
4.Where is the change? not in KOrganizer sure

Expected Results:  
reflect this modification

Nothing, I wish the best to you.

Best Regards.
Comment 1 Tom Kijas 2016-01-10 22:07:53 UTC
Confirmed
Comment 2 kai.straube 2016-03-22 10:56:36 UTC
I reported this bug to Daniel Vratil in 2011. No Progress in this. I dont know, whats the problem, but I really hard need this feature. So for me the only possibility to have a synchable calendar on plasma, also when I go offline is chrome. This sucks. SCNR
Comment 3 kai.straube 2016-03-22 11:03:53 UTC
Sorry for my comment. What I really meant is: the behavior have changed, but it is not usable because the new behavior is also not correct.
Comment 4 kai.straube 2016-03-26 20:38:10 UTC
Confirmed
Comment 5 Lemmiwinks 2016-05-10 11:00:14 UTC
Absolutely no progress on this bug. It's very disappointing.
I'm currently on Ubuntu 16.04 with korganizer 15.12.3.
It works brilliantly in Thunderbird/Lighting with Google calendar add-on.
Also the event calendar plasmoid for Plasma 5 syncs events like a charm.
Comment 6 Lemmiwinks 2016-08-19 10:15:56 UTC
Still no luck with 16.04.3 in Fedora 24 now. I think the whole connection to the Google api is broken, as there are multiple bug reports concerning Google calendar etc.. Please fix this.
Comment 7 Lemmiwinks 2016-12-28 07:56:46 UTC
It also happens with any CalDav calendar source or also with Google calendar imported as CalDav calendar not using the Google Calendar and Tasks resource.
How much would I have to pay to get this long, outstanding bug fixed? It would make KOrganizer 100% usable again.
Comment 8 Florian 2017-07-12 08:32:15 UTC
*** This bug has been confirmed by popular vote. ***
Comment 9 Stas 2018-02-20 09:03:11 UTC
What is the state of this bug? Could someone at least state if this will be resolved soon. Very annoying bug and the only one which makes KOrganizer unusable for me.
Comment 10 kai.straube 2018-02-20 21:21:29 UTC
As I wrote: no progress at all since 2011! There seem 
s to be no hope for it. I also very sad about it, it makes korganizer unusable for me too. But...
Comment 11 Marc Cousin 2018-05-16 07:37:48 UTC
Don't know what to add except «same for me». How could we help getting this fixed ?
Comment 12 Daniel Vrátil 2019-02-22 00:37:21 UTC
*** Bug 356367 has been marked as a duplicate of this bug. ***
Comment 13 Daniel Vrátil 2019-02-23 10:45:46 UTC
Git commit 52eb4116f96063fe9a047abdf27f5020ff698687 by Daniel Vrátil.
Committed on 23/02/2019 at 10:38.
Pushed by dvratil into branch 'master'.

Calendar: fix recurrence handling

Parse and set recurringEventId and properly distinguish between
ID and iCalUID fields, which allows to identify recurrence instances

M  +1    -1    CMakeLists.txt
M  +115  -91   src/calendar/calendarservice.cpp
M  +10   -1    src/calendar/calendarservice.h
M  +18   -0    src/calendar/event.cpp
M  +12   -0    src/calendar/event.h
M  +1    -1    src/calendar/eventcreatejob.cpp
M  +2    -2    src/calendar/eventdeletejob.cpp
M  +1    -1    src/calendar/eventmodifyjob.cpp
M  +2    -2    src/calendar/eventmovejob.cpp

https://commits.kde.org/libkgapi/52eb4116f96063fe9a047abdf27f5020ff698687
Comment 14 Daniel Vrátil 2019-02-23 10:50:00 UTC
Git commit 2cbb8037d3d7b6ce2610129800499b465c892da3 by Daniel Vrátil.
Committed on 23/02/2019 at 10:47.
Pushed by dvratil into branch 'master'.

Google Calendar: fix recurrence instance handling

With the fix in LibKGAPI we no longer need any additional magic to
handle recurrence instances.
FIXED-IN: 5.11

M  +1    -1    CMakeLists.txt
M  +2    -39   resources/google/calendar/calendarresource.cpp

https://commits.kde.org/kdepim-runtime/2cbb8037d3d7b6ce2610129800499b465c892da3
Comment 15 Stas 2019-02-23 16:30:58 UTC
It is nearly unbelivable that this issue is solved ;) Thank you very much! No I will be able to use Korganizer again.
Comment 16 kai.straube 2019-02-25 09:21:36 UTC
Wow, I waited 8 years to read that!
Comment 17 Jose Roberto 2021-04-15 13:13:33 UTC
I would link to ask to reopen this bug because I am having this issue right now. I can provide more information if required.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Gentoo Stable (kernel 5.10.27)
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2